Gradle

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Prefer task name instead of task path

Merge branch 'release'

Merge pull request #7619 from gradle/bamboo/release/kotlin-dsl-1.0

Upgrade to Kotlin DSL 1.0

Merge pull request #7609 from gradle/lacasseio/native/nostdinc

Allow macOS standard framework

Rebaseline clean checkout of largeJavaMultiProject

Looking at the history, this regression seems to be accumulating, plus it's tiny

so here we simply rebaseline it.

Publish 5.0-20181105000021+0000

Upgrade to Kotlin DSL 1.0

    • -1
    • +1
    /subprojects/docs/src/docs/release/notes.md
Merge remote-tracking branch 'origin/release'

Publish 5.0-20181104000020+0000

Remove empty performanceReport task

Publish 5.0-20181103000029+0000

Merge pull request #7606 from gradle/dd/dm/insight-edges

Show requested version for each incoming edge in `dependencyInsight` report

Merge pull request #7596 from gradle/gh/issues/1233-again

Make disabling worker daemon expiration intrinsic to the worker daemon itself

Replace '=>' symbol with explicit 'requested'

Allow macOS standard framework

Publish 5.0-20181102000033+0000

Fix version range constraints for tooling API tests.

Add a little more coverage for dependencyInsight

Show more edge information in dependencyInsight

The `dependencyInsight` report shows detailed information about a particular

node in the dependency graph, including all incoming edges to that node traced from

the root. Understand which incoming edge is responsible for influencing the selected

version is an important use case for `dependencyInsight`.

A previous change added and conflict resolution reasons that were present for a

node on an incoming edge. This PR brings an improvement over this previous behaviour:

with this change we show the requested version for each edge where it is different

from the actual version that was selected.

Make disabling worker daemons instrinsic to the worker daemon iitself

Update Android smoke test targetSdkVersion to 26

Android Lint seems to be programmed with a kill switch that tells people

not to use SDK < 26 in the second half of 2018. This started breaking

our tests today.

Merge pull request #7528 from gradle/docs/5_0-breaking-changes-refactor

Adds missing breaking changes to the upgrade guide

Update AndroidPluginsSmokeTest.targetSdkVersion to 26

It seems to fail with original targetSdkVersion 23.

Improve error handling for tooling model invocations, so that any failure to build a model or run a client provided action is always treated as a build failure. Previously, some failures were ignored by error reporting.

Add a bunch of test coverage for TAPI error handling.

  1. … 16 more files in changeset.
Add project name into test page command line arguments

This closes https://github.com/gradle/gradle-private/issues/1565

Previously the project name didn't appear in the command line arguments rendered in test page.

Publish 5.0-20181101000025+0000

Merge pull request #7582 from gradle/dd/dm/reasons-collect

Collect reasons for all executed dependency substitution rules

Merge remote-tracking branch 'origin/gh/issues/7580' into release

* origin/gh/issues/7580:

Only add signatures for artifacts that don't already have signatures

Accept change to internal method

Change signatures to be added after all artifacts are added

Only add signatures for artifacts that don't already have signatures

Merge pull request #7585 from gradle/marc/issues/7566-dsl-metadata-supports-java7

Add support for using Java 7/8 language features in public API types